import { JSX, JSXElement } from 'solid-js';
import './style/index.css';
export interface MaskProps extends JSX.HTMLAttributes<HTMLDivElement> {
    children?: JSXElement;
    url?: string;
    hexagon?: boolean;
    squircle?: boolean;
}
/** @zh 遮罩切割，可以切割为指定形状 */
export declare const Mask: import("solid-js").Component<Omit<MaskProps, "style" | "class"> & {
    ref?: HTMLDivElement | ((el: HTMLDivElement) => void);
    style?: string | JSX.CSSProperties;
    className?: string | string[] | typeof import("@cn-ui/use").classNames;
    class?: string | string[] | typeof import("@cn-ui/use").classNames;
    classList?: typeof import("@cn-ui/use").classNames | {
        [k: string]: boolean;
    };
}>;
